from django.utils.translation import gettext_lazy

try:
    from pretix.base.plugins import PluginConfig
except ImportError:
    raise RuntimeError("Please use pretix 2.7 or above to run this plugin!")

__version__ = "1.0.0"


class PluginApp(PluginConfig):
    name = "pretix_poos"
    verbose_name = "Pretix POOS"

    class PretixPluginMeta:
        name = gettext_lazy("Pretix POOS")
        author = "n0emis"
        description = gettext_lazy("Short description")
        visible = True
        version = __version__
        category = "CUSTOMIZATION"
        compatibility = "pretix>=2.7.0"

    def ready(self):
        from . import signals  # NOQA


default_app_config = "pretix_poos.PluginApp"
